500 Error when attempting to pull IP from DHCP
Description

*System Information Version 1.2.0

When attempting to create a new VMware instance, on the network page, the system logs show a 500 error when attempting to

query an address from out DHCP server:

Started POST "/subnets/freeip" for 10.1.10.178 at 2013-10-30 12:52:44 -0400

Processing by SubnetsController#freeip as */*

Parameters: {"subnet_id"=>"1", "host_mac"=>""}

Failed to fetch a free IP from our proxy: 500 Internal Server Error

Completed 200 OK in 1052ms (ActiveRecord: 1.1ms)

On the subnet import in the smart proxy page I get another 500 internal error with the full trace of:

RestClient::InternalServerError

500 Internal Server Error

lib/proxy_api/resource.rb:70:in `get'

lib/proxy_api/dhcp.rb:12:in `subnets'

app/models/subnet.rb:115:in `import'

app/controllers/subnets_controller.rb:68:in `import'

lib/foreman/thread_session.rb:31:in `clear_thread

This just stopped working a week or two ago after functioning fine for months.

History

#1 - 10/30/2013 05:11 PM - Dominic Cleal

- Status changed from New to Feedback

Check the proxy logs at /var/log/foreman-proxy/proxy.log on your DHCP server too, it might be a config issue.  A common one is permissions being

reset on either the /etc/dhcp dir, config or lease files so the proxy no longer has read access.

#2 - 11/08/2013 03:48 AM - Daniel Erxleben

Thanks for the input. The proxy box was actually my domain controller and the log file was HUGE. I stopped the proxy service, renamed the log file

and restarted it so that a new log file was generated - that resolved the 500 error I was getting in foreman.

#3 - 11/08/2013 08:57 AM - Dominic Cleal

- Status changed from Feedback to Resolved

Strange, perhaps check that log rotation's set up?  We do package logrotate configs, so it should rotate regularly.  Glad you've fixed it though!
